h2,
h3,
h4 {
  font-family: 'Anton SC', sans-serif;
  margin: 0;
  margin-bottom: 15px;
  letter-spacing: 2px;
}

h3 {
  font-size: 1.5rem;
}

h2 {
  font-size: 2rem;
  background: linear-gradient(90deg, #ffd700, #fff2b2, #ffd700);
  background-clip: text;
}

h2,
h4 {
  color: #FFD700;
}

p {
  max-width: 600px;
  color: white;
  margin: 0;
  margin-bottom: 10px;
}

/* CORPS DE PAGE */

body {
  max-width: 1200px;
  margin: auto;
  padding-top: 20vh;
  padding-left: 20px;
  padding-right: 20px;
  background-color: #640c19;
  color: white;
  font-family: "Poppins", sans-serif;
  line-height: 1.8;
  letter-spacing: 0.4px;
}



/* ----- FOOTER ----- */

footer {
  padding: 10px 0 50px 0;
}

footer hr {
  width: 100%;
  border: solid 0.5px rgba(255, 255, 255, 0.3);
  margin-bottom: 20px;
}

footer a {
  color: white;
  text-decoration: none;
  font-size: 1rem;
  padding: 5px 0;
  display: inline-block;
  margin-bottom: 5px;
}

footer a:hover {
  text-decoration: underline;
}

/* STYLES DE TITRE */


h1 {
  font-size: 32px;
  font-weight: 700;
  margin-bottom: 50px;
  text-transform: uppercase;
  border-bottom: 2px solid #ffffff;
  display: inline-block;
  padding-bottom: 10px;
}

a {
  color: #ffcccc;
  text-decoration: none;
  transition: color 0.3s;
}

a:hover {
  color: #ffffff;
  text-decoration: underline;
}

section {
  margin-bottom: 80px;
}

.dropdown-content {
  background-color: #4d0b0b;
  padding: 12px 20px;
  border-radius: 5px;
  margin-top: 6px;
}

.dropdown-content a {
  display: block;
}

.dropdown.active .dropdown-content {
  display: block;
}

details {
  width: 60%;
  background-color: #5a0b17;
  border-radius: 8px;
  padding: 10px 20px;
  margin-bottom: 20px;
  transition: 0.2s;
  border: 2px solid #4d0b0b;
}

details:hover {
  background-color: #73101e;
}

details a:hover {
  text-decoration: none;
}

summary {
  font-size: 19px;
  font-weight: 600;
  cursor: pointer;
  margin: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.arrow {
  font-size: 20px;
  transition: 0.3s;
}

.active .arrow {
  transform: rotate(180deg);
}

.music-content {
  margin-top: 12px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 12px;
}

.bouton {
  border: 1px solid #f4f4f4;
  border-radius: 5px;
  padding: 8px 14px;
  background-color: #640C19;
  transition: 0.2s;
  display: inline-block;
}

.bouton:hover {
  background-color: #801010;
}

.icone_lien {
    width: 30px;
    text-decoration: none;
    color: #ffffff;
    position: absolute;
    bottom: 8px;
    right: 0;
    opacity: 0.5;
    transition: all 0.3s;
}

@media (max-width: 768px) {
  body {
    margin: 20px;
  }

  .music-content {
    flex-direction: column;
  }
}